Prompts

List prompts for the current admin organization

GET
/api/prompts/admin/org

Paginated listing of prompts scoped to the caller organization, available to admins and superadmins. Supports text search on name and visibility filtering. Used by the per-org Admin Prompt Visibility Management view.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

page?integer
Range1 <= value
Default1
limit?integer
Range1 <= value
Default50
search?string
visibility?string
Default"all"

Value in

  • "all"
  • "hidden"
  • "visible"

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/api/prompts/admin/org"
{  "data": [    {      "_id": "5f7b1c2e8a1d4e0012c3b4a5",      "name": "Leasing follow-up assistant",      "organizationId": "64a1b2c3d4e5f60012345678",      "organizationName": "Maple Property Group",      "isHidden": false,      "isPublished": true,      "updatedAt": "2026-04-22T10:14:00.000Z"    }  ],  "totalCount": 27,  "hiddenCount": 4,  "visibleCount": 23,  "currentPage": 1,  "hasNextPage": true}